Description

Jdownloader and I use a Synology NAS.

I would mix the two.

Let me explain:

Synology has a program that can be installed on a PC (linux or win)

To interact with the NAS uses the HTTP (port 5000)

an example of dialogue between the program and the nas:

POST /download/download_redirector.cgi HTTP/1.1 Host: 192.168.2.200:5000 Accept: /* Content-Length: 42 Content-Type:

application/x-www-form-urlencoded action=login&username=admin&passwd=***

HTTP/1.1 200 OK Date: Sun, 06 Mar 2011 09:23:00 GMT Server: Apache/2.2.16 (Unix) mod_ssl/2.2.16 OpenSSL/1.0.0c Vary:

Accept-Encoding Content-Length: 78 Content-Type: text/plain; charset="UTF-8"  {

"id" : "45p.EI0tIpbes",

"login_success" : true,

"success" : true

}

POST /download/download_redirector.cgi HTTP/1.1 Host: 192.168.2.200:5000 Accept: */* Content-Length: 49 Content-Type:

application/x-www-form-urlencoded id=45p.EI0tIpbes&action=rwshareget&username=admin

HTTP/1.1 200 OK Date: Sun, 06 Mar 2011 09:23:02 GMT Server: Apache/2.2.16 (Unix) mod_ssl/2.2.16 OpenSSL/1.0.0c Vary:

Accept-Encoding Content-Length: 882 Content-Type: text/plain; charset="UTF-8" {

"default" : "Download",

"items" : [       {

"description" : "",

"name" : "divers"

},

],

"success" : true,

"user_disabled" : false

}

POST /download/download_redirector.cgi HTTP/1.1 Host: 192.168.2.200:5000 Accept: */* Content-Length: 88 Content-Type:

application/x-www-form-urlencoded id=45p.EI0tIpbes&action=addurl&username=admin&url=http%3A//www.google.be/webhp.http

HTTP/1.1 200 OK Date: Sun, 06 Mar 2011 09:23:14 GMT Server: Apache/2.2.16 (Unix) mod_ssl/2.2.16 OpenSSL/1.0.0c Vary:

Accept-Encoding Transfer-Encoding: chunked Content-Type: text/plain; charset="UTF-8" 18 {

"success" : true

}

0

The code is simple, what I ask is a plugin that would send the list of collector connection to the NAS.

This would check on jDownloader that everything is ok and then to download the SIN

thank you

Hervé Fouquet
History

#1 - 2011-03-06 12:15 - Hervé Fouquet

Sorry it is an error you can close this ask

#2 - 2011-03-07 11:08 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid
